<?php

namespace Schaffen\Ged\Contract\Repositories;


use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\Ged\Contract\Models\Contract;

class ContractRepository extends Repository
{

    protected $connection = "dynamicdb";
    protected $model = Contract::class;
    public function injectFiltersOnQuery()
    {
        $pes_codigo = null;
        $filial = null;
        extract($this->filters);
        $this->query->when($filial, function ($query) use ($filial, $pes_codigo){
            return $query->when($pes_codigo, function ($query) use ($filial, $pes_codigo){
                return $query->where('con_fk_fil_codigo', $filial)
                ->where('con_fk_pes_codigo', $pes_codigo)
                ->where('con_status', 0);
            });
        });
        parent::injectFiltersOnQuery();
    }
}